Proxy check
/proxy/checkCheck proxy
This method allows connect through proxy and check if it's working.
How it works?
It will connect to http://host.stableproxy.com/ip/ through proxy and get IP address, then it will connect to https://ipinfo.io/widget/demo/ip and get location information.
This method requires a solved Captcha!
Some methods require captcha, in order to solve them you need to create RecaptchaV3 and insert your secret key into captcha-key, add it to your page - pass them - and get the answer from the captcha and added to the g-recaptcha-response parameter.
Create a captcha in the Google Recaptcha control panel.
Also you can write to our support and we can disable captcha for you in some methods.
Create a captcha in the Google Recaptcha control panel.
Also you can write to our support and we can disable captcha for you in some methods.
Query method
POSThttps://api.stableproxy.com/v2/proxy/check
Query parameters
| Identifier | Regulations | Example |
|---|---|---|
| protocol | requiredstringin:http, socks5, auto | "http" |
| connect-urls | requiredarray | ["md82ldd_0:[email protected]:11001"] |
| sort-byNot necessarily | nullablestringapp\_validators\_ex_in_rule | "" |
| sort-orderNot necessarily | nullablestringin:asc, desc | "asc" |
| captcha-keyNot necessarily | nullablestring | "6Le6gTwUAAA ... secret ...tjbYd6IAYN_" |
| g-recaptcha-response | requiredapp\_rules\_sp_captcha_rule | "03AFcWeA690BhJU7VIxoIpsXXdDx7IVllNVz804lKvWNIBYmF42ALfY18TY4cjjQ0sY_...." |
| connect-urls.* | requiredstring | 36 |
Code examples
1const baseUrl = "https://api.stableproxy.com/v2";2const response = await fetch(baseUrl + "/proxy/check", {3 method: "POST",4 headers: {5 "Content-Type": "application/json"6 },7 body: JSON.stringify({8 "protocol": "\"http\"",9 "connect-urls": "[\"md82ldd_0:1DjR0xqrlGwh@s-9542.sp4.ovh:11001\"]",10 "sort-by": "\"\"",11 "sort-order": "\"asc\"",12 "captcha-key": "\"6Le6gTwUAAA ... secret ...tjbYd6IAYN_\"",13 "g-recaptcha-response": "\"03AFcWeA690BhJU7VIxoIpsXXdDx7IVllNVz804lKvWNIBYmF42ALfY18TY4cjjQ0sY_....\"",14 "connect-urls.*": 3615 })16});17const data = await response.json();Examples of answers
Success response200application/json
{
"data": [
[
{
"total_time": 0.29683,
"connect_time": 0.061185,
"ip": "45.43.190.148",
"error": null,
"auth": true,
"location": {
"country_code": "ES",
"country_name": "Spain",
"coordinates": {
"lattitude": "40.4165",
"longitude": "-3.7026"
},
"verified": true
},
"protocol": "http"
}
]
],
"good": true,
"timestamp": 1731317762,
"cause": {
"type": "anonymous",
"user_id": -1
}
}